postCancel user invitation
Required capability
users.inviteCancels a pending invitation. Requires If-Match for optimistic concurrency. The invitation id and optional reason are supplied in the request body.
Request
Request URL
POST /user-invitations/cancelRequest Body
{
"invitation_id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"reason": "User withdrew their request"
}Responses
Response
{
"accepted_at": null,
"cancelled_at": "2026-05-01T10:00:00Z",
"challenge_ref": null,
"created_at": "2026-05-01T10:00:00Z",
"email_constraint": "jane.doe@acme.example",
"enterprise_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"etag": "W/\"a1b2c3d4\"",
"expires_at": "2026-05-01T10:00:00Z",
"id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"invited_by": "users/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"pending_human_actor_ref": "users/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"role": "roles/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"scope": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
"status": "cancelled",
"updated_at": "2026-05-01T10:00:00Z"
}Resource created successfully.